import { isWeb } from 'nuke-env';

export function fixSmallUnit(unit) {
  if (typeof unit === 'object' && 'raw' in unit) {
    unit = unit.raw;
  }
  const num = parseInt(unit, 10);
  if (num > 6) return unit;
  return `${Math.floor(num / 2).toString()}${isWeb ? 'px' : 'wx'}`;
}
